function onBegin()
    disableRetry()
    disableMovement()
    wait(1.5)
    setFlag("darken", true)
    wait(0.5)
    instantTeleportTo(37571, 1459, "E7")
    setFlag("darken", false)
    enableRetry()
    enableMovement()
    endCutscene()
end